import { jsx as _jsx, jsxs as _jsxs, Fragment as _Fragment } from "react/jsx-runtime";
/*
 * Copyright (c) 2021-2023 Datalayer, Inc.
 *
 * MIT License
 */
import { useState } from 'react';
import { Box, NavList } from '@primer/react';
import { FileBrowserComponent } from './components/FileBrowserComponent';
import { CellComponent } from './components/CellComponent';
import { NotebookComponent } from './components/NotebookComponent';
import { IPyWidgetsComponent } from './components/IPyWidgetsComponent';
import { ViewerComponent } from './components/ViewerComponent';
export const ComponentsTab = (props) => {
    const [nav, setNav] = useState(1);
    return (_jsx(_Fragment, { children: _jsxs(Box, { sx: { display: 'flex' }, children: [_jsx(Box, { children: _jsxs(NavList, { sx: {
                            '> *': {
                                paddingTop: '0px',
                            },
                        }, children: [_jsx(NavList.Item, { "aria-current": nav === 1 ? 'page' : undefined, onClick: e => setNav(1), children: "File Browser" }), _jsx(NavList.Item, { "aria-current": nav === 2 ? 'page' : undefined, onClick: e => setNav(2), children: "Cell" }), _jsx(NavList.Item, { "aria-current": nav === 3 ? 'page' : undefined, onClick: e => setNav(3), children: "Notebook" }), _jsx(NavList.Item, { "aria-current": nav === 4 ? 'page' : undefined, onClick: e => setNav(4), children: "IPyWidgets" }), _jsx(NavList.Item, { "aria-current": nav === 5 ? 'page' : undefined, onClick: e => setNav(5), children: "Viewer" })] }) }), _jsxs(Box, { ml: 3, sx: { width: '100%' }, children: [nav === 1 && _jsx(FileBrowserComponent, {}), nav === 2 && _jsx(CellComponent, {}), nav === 3 && _jsx(NotebookComponent, {}), nav === 4 && _jsx(IPyWidgetsComponent, {}), nav === 5 && _jsx(ViewerComponent, {})] })] }) }));
};
export default ComponentsTab;
//# sourceMappingURL=ComponentsTab.js.map