import { BoxPanel } from '@lumino/widgets';
import { SessionContext } from '@jupyterlab/apputils';
import { CodeCell, MarkdownCell, RawCell } from '@jupyterlab/cells';
import { IOutput } from '@jupyterlab/nbformat';
import { ServerConnection } from '@jupyterlab/services';
import Kernel from '../../jupyter/kernel/Kernel';
interface BoxOptions {
    showToolbar?: boolean;
}
export declare class CellAdapter {
    private _id;
    private _outputs;
    private _cell;
    private _kernel;
    private _panel;
    private _sessionContext;
    private _type;
    constructor(options: CellAdapter.ICellAdapterOptions);
    private setupCell;
    get panel(): BoxPanel;
    get cell(): CodeCell | MarkdownCell | RawCell;
    get sessionContext(): SessionContext;
    get kernel(): Kernel;
    execute: () => void;
    private _execute;
}
export declare namespace CellAdapter {
    type ICellAdapterOptions = {
        id: string;
        type: 'code' | 'markdown' | 'raw';
        source: string;
        outputs: IOutput[];
        serverSettings: ServerConnection.ISettings;
        kernel: Kernel;
        boxOptions?: BoxOptions;
    };
}
export default CellAdapter;
