import { JupyterLab } from '@jupyterlab/application';
import { IRenderMime } from '@jupyterlab/rendermime-interfaces';
import { ServiceManager } from '@jupyterlab/services';
import { Colormode } from '../../theme/JupyterLabColormode';
import JupyterLabAppAdapter from './JupyterLabAppAdapter';
export type JupyterLabAppProps = {
    PluginType?: any;
    devMode: boolean;
    disabledPlugins: Array<string>;
    headless: boolean;
    height: string | number;
    hostId: string;
    mimeRendererPromises?: Array<Promise<IRenderMime.IExtensionModule>>;
    mimeRenderers: Array<IRenderMime.IExtensionModule>;
    nosplash: boolean;
    onJupyterLab: (jupyterLabAppdapter: JupyterLabAppAdapter) => void;
    onPlugin?: (plugin: any) => void;
    pluginId?: string;
    pluginPromises?: Array<Promise<JupyterLab.IPluginModule>>;
    plugins: Array<JupyterLab.IPluginModule>;
    position: string;
    serverless: boolean;
    serviceManager: ServiceManager.IManager;
    startDefaultKernel: boolean;
    theme: Colormode;
    width: string | number;
};
export declare const JupyterLabApp: import("react").MemoExoticComponent<{
    (props: JupyterLabAppProps): import("react/jsx-runtime").JSX.Element;
    defaultProps: Partial<JupyterLabAppProps>;
}>;
export default JupyterLabApp;
