import { VDomRenderer, ToolbarButton } from '@jupyterlab/apputils';
import { KernelMessage, Kernel } from '@jupyterlab/services';
import { Message as luminoMessage } from '@lumino/messaging';
import { Widget } from '@lumino/widgets';
import { KernelSpyModel } from './model';
import './kernelinspector.css';
/**
 * The main view for the kernel spy.
 */
export declare class MessageLogView extends VDomRenderer<KernelSpyModel> {
    constructor(model: KernelSpyModel);
    /**
     * Render the extension discovery view using the virtual DOM.
     */
    protected render(): React.ReactElement<any>[];
    collapseAll(): void;
    expandAll(): void;
    onCollapse(msg: KernelMessage.IMessage): void;
    protected collapsed: {
        [key: string]: boolean;
    };
}
/**
 * The main view for the kernel spy.
 */
export declare class KernelSpyView extends Widget {
    constructor(kernel?: Kernel.IKernelConnection | null);
    /**
     * Handle `'activate-request'` messages.
     */
    protected onActivateRequest(msg: luminoMessage): void;
    get model(): KernelSpyModel;
    private _toolbar;
    private _messagelog;
    private _model;
    protected clearAllButton: ToolbarButton;
    protected expandAllButton: ToolbarButton;
    protected collapseAllButton: ToolbarButton;
}
