import { CompletionHandler } from '@jupyterlab/completer';
import { Context } from '@jupyterlab/docregistry';
import { CellType, INotebookContent } from '@jupyterlab/nbformat';
import { INotebookModel, NotebookPanel } from '@jupyterlab/notebook';
import { Kernel as JupyterKernel, ServiceManager } from '@jupyterlab/services';
import { CommandRegistry } from '@lumino/commands';
import { BoxPanel } from '@lumino/widgets';
import { Kernel, Lite } from '../../jupyter';
import { INotebookProps } from './Notebook';
export declare class NotebookAdapter {
    private _boxPanel;
    private _commands;
    private _contentFactory;
    private _context?;
    private _documentRegistry?;
    private _iPyWidgetsManager?;
    private _id;
    private _kernel?;
    private _kernelConnection;
    private _kernelClients?;
    private _kernelTransfer?;
    private _lite?;
    private _mimeTypeService;
    private _nbformat?;
    private _notebookModelFactory?;
    private _notebookPanel?;
    private _onSessionConnection?;
    private _path?;
    private _readonly;
    private _renderers;
    private _rendermime?;
    private _serverless;
    private _serviceManager;
    private _tracker?;
    private _url?;
    constructor(props: INotebookProps);
    loadFromUrl(url: string): Promise<any>;
    notebookKeydownListener: (event: KeyboardEvent) => void;
    setupCompleter(notebookPanel: NotebookPanel): CompletionHandler;
    initializeContext(): void;
    private setupAdapter;
    get id(): string;
    get readonly(): boolean;
    get serverless(): boolean;
    get lite(): Lite | undefined;
    get path(): string | undefined;
    get url(): string | undefined;
    get nbformat(): INotebookContent | undefined;
    get kernel(): Kernel | undefined;
    get kernelConnection(): JupyterKernel.IKernelConnection | null | undefined;
    get notebookPanel(): NotebookPanel | undefined;
    get context(): Context<INotebookModel> | undefined;
    set notebookPanel(notebookPanel: NotebookPanel | undefined);
    get panel(): BoxPanel;
    get commands(): CommandRegistry;
    get serviceManager(): ServiceManager.IManager;
    setNbformat(nbformat?: INotebookContent): void;
    setServiceManager(serviceManager: ServiceManager.IManager, lite?: Lite): void;
    setKernel(kernel?: Kernel): void;
    setReadonly(readonly: boolean): void;
    setServerless(serverless: boolean): void;
    setPath(path: string): void;
    assignKernel(kernel: Kernel): void;
    setDefaultCellType: (cellType: CellType) => void;
    changeCellType: (cellType: CellType) => void;
    insertAbove: (source?: string) => void;
    insertBelow: (source?: string) => void;
    dispose: () => void;
}
export default NotebookAdapter;
