import { CommandRegistry } from '@lumino/commands';
import { DisposableSet } from '@lumino/disposable';
import { CompletionHandler } from '@jupyterlab/completer';
import { NotebookTracker } from '@jupyterlab/notebook';
/**
 * The map of command ids used by the notebook.
 */
export declare const NotebookCommandIds: {
    changeCellType: string;
    changeCellTypeToCode: string;
    changeCellTypeToMarkdown: string;
    changeCellTypeToRaw: string;
    commandMode: string;
    deleteCells: string;
    editMode: string;
    extendAbove: string;
    extendBelow: string;
    extendBottom: string;
    extendTop: string;
    findNext: string;
    findPrevious: string;
    insertAbove: string;
    insertBelow: string;
    interrupt: string;
    invoke: string;
    invokeNotebook: string;
    merge: string;
    redo: string;
    restart: string;
    run: string;
    runAll: string;
    runAndAdvance: string;
    save: string;
    select: string;
    selectAbove: string;
    selectBelow: string;
    selectNotebook: string;
    split: string;
    startSearch: string;
    switchKernel: string;
    undo: string;
};
/**
 * Register notebook commands.
 *
 * @param commands Command registry
 * @param completerHandler Completion handler
 * @param tracker Notebook tracker
 * @param path Notebook path
 * @returns Commands disposer
 */
export declare function addNotebookCommands(commands: CommandRegistry, completerHandler: CompletionHandler, tracker: NotebookTracker, path?: string): DisposableSet;
export default addNotebookCommands;
