import { type CommandRegistry } from '@lumino/commands';
import type { ICellModel } from '@jupyterlab/cells';
/**
 * Cell sidebar class name.
 */
export declare const DATALAYER_CELL_SIDEBAR_CLASS_NAME = "dla-CellSidebar-Container";
/**
 * Cell sidebar properties
 */
export type ICellSidebarProps = {
    /**
     * Notebook command registry
     */
    commands: CommandRegistry;
    /**
     * Cell model
     */
    model: ICellModel;
    /**
     * Whether to display nbgrader features or not.
     */
    nbgrader: boolean;
};
/**
 * Cell sidebar component
 */
export declare function CellSidebar(props: ICellSidebarProps): JSX.Element;
export default CellSidebar;
