import type { NotebookPanel } from '@jupyterlab/notebook';
import type { CommandRegistry } from '@lumino/commands';
import type { IDisposable } from '@lumino/disposable';
import type React from 'react';
import type { DatalayerNotebookExtension, IDatalayerNotebookExtensionProps } from '../../Notebook';
import { type ICellSidebarProps } from './CellSidebar';
/**
 * Cell sidebar extension for notebook panels.
 */
export declare class CellSidebarExtension implements DatalayerNotebookExtension {
    protected factory: React.JSXElementConstructor<ICellSidebarProps>;
    protected commands?: CommandRegistry;
    protected nbgrader?: boolean;
    protected sidebarWidth?: number;
    /**
     * Constructor
     *
     * @param commands Command registry
     * @param factory Cell sidebar React component factory
     * @param nbgrader Whether to activate nbgrader feature or not.
     */
    constructor(options?: {
        commands?: CommandRegistry;
        factory?: React.JSXElementConstructor<ICellSidebarProps>;
        nbgrader?: boolean;
        sidebarWidth?: number;
    });
    readonly component: null;
    createNew(panel: NotebookPanel): IDisposable;
    init(props: IDatalayerNotebookExtensionProps): void;
}
export default CellSidebarExtension;
