import { jsx as _jsx } from "react/jsx-runtime";
/*
 * Copyright (c) 2021-2023 Datalayer, Inc.
 *
 * MIT License
 */
import { PlayIcon } from '@primer/octicons-react';
import { Box, Button } from '@primer/react';
import { NotebookCommandIds } from '../../NotebookCommands';
import { DATALAYER_CELL_SIDEBAR_CLASS_NAME, } from './CellSidebar';
export function CellSidebarRun(props) {
    const { commands } = props;
    return (_jsx(Box, { className: DATALAYER_CELL_SIDEBAR_CLASS_NAME, sx: {
            '& p': {
                marginBottom: '0 !important',
            },
        }, children: _jsx(Button, { trailingVisual: PlayIcon, size: "small", variant: "invisible", onClick: (e) => {
                e.preventDefault();
                commands.execute(NotebookCommandIds.run).catch(reason => {
                    console.error('Failed to run cell.', reason);
                });
            }, children: "Run" }) }));
}
export default CellSidebarRun;
//# sourceMappingURL=CellSidebarRun.js.map