/*
 * Copyright (c) 2021-2023 Datalayer, Inc.
 *
 * MIT License
 */
import { NotebookModelFactory, NotebookModel } from '@jupyterlab/notebook';
export class JupyterReactNotebookModelFactory extends NotebookModelFactory {
    _nbformat;
    _readonly;
    /** @override */
    constructor(options) {
        super(options);
        this._nbformat = options.nbformat;
        this._readonly = options.readonly;
    }
    /** @override */
    createNew(options) {
        if (this._nbformat) {
            this._nbformat.cells.forEach(cell => {
                cell.metadata['editable'] = !this._readonly;
            });
            const notebookModel = new NotebookModel();
            notebookModel.fromJSON(this._nbformat);
            return notebookModel;
        }
        else {
            const notebookModel = super.createNew(options);
            notebookModel.readOnly = this._readonly;
            return notebookModel;
        }
    }
}
export default JupyterReactNotebookModelFactory;
//# sourceMappingURL=JupyterReactNotebookModelFactory.js.map