import { jsx as _jsx } from "react/jsx-runtime";
/*
 * Copyright (c) 2021-2023 Datalayer, Inc.
 *
 * MIT License
 */
import { useMemo } from 'react';
import { createRoot } from 'react-dom/client';
import { CellSidebarExtension } from '../components';
import { Notebook } from '../components/notebook/Notebook';
import { JupyterReactTheme } from '../theme/JupyterReactTheme';
import { NotebookToolbar } from './../components/notebook/toolbar/NotebookToolbar';
const IPyLeaflet = () => {
    const extensions = useMemo(() => [new CellSidebarExtension()], []);
    return (_jsx(JupyterReactTheme, { children: _jsx(Notebook, { path: "ipyleaflet.ipynb", id: "notebook-ipyleaflet-id", height: "calc(100vh - 2.6rem)" // (Height - Toolbar Height).
            , extensions: extensions, Toolbar: NotebookToolbar }) }));
};
const div = document.createElement('div');
document.body.appendChild(div);
const root = createRoot(div);
root.render(_jsx(IPyLeaflet, {}));
//# sourceMappingURL=IPyLeaflet.js.map