import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { useMemo } from 'react';
import { createRoot } from 'react-dom/client';
import { CellSidebarExtension } from '../components';
import { Notebook } from '../components/notebook/Notebook';
import { Jupyter } from '../jupyter/Jupyter';
import { JupyterLabCss } from '../theme';
import { NotebookToolbar } from './../components/notebook/toolbar/NotebookToolbar';
import notebook from './notebooks/Matplotlib.ipynb.json';
const Matplotlib = () => {
    const extensions = useMemo(() => [new CellSidebarExtension()], []);
    return (_jsxs(Jupyter, { disableCssLoading: true, children: [_jsx(JupyterLabCss, { colormode: "light" }), _jsx(Notebook, { nbformat: notebook, id: "notebook-matplotlib-id", height: "calc(100vh - 2.6rem)" // (Height - Toolbar Height).
                , extensions: extensions, Toolbar: NotebookToolbar })] }));
};
const div = document.createElement('div');
document.body.appendChild(div);
const root = createRoot(div);
root.render(_jsx(Matplotlib, {}));
//# sourceMappingURL=Matplotlib.js.map