import { jsx as _jsx } from "react/jsx-runtime";
/*
 * Copyright (c) 2021-2023 Datalayer, Inc.
 *
 * MIT License
 */
import { useMemo } from 'react';
import { createRoot } from 'react-dom/client';
import { CellSidebarExtension } from '../components';
import { CellSidebarButton } from '../components/notebook/cell/sidebar/CellSidebarButton';
import { Notebook } from '../components/notebook/Notebook';
import { JupyterReactTheme } from '../theme/JupyterReactTheme';
import { NotebookToolbar } from './../components/notebook/toolbar/NotebookToolbar';
const NotebookCollaborative = () => {
    const extensions = useMemo(() => [new CellSidebarExtension({ factory: CellSidebarButton })], []);
    return (_jsx(JupyterReactTheme, { children: _jsx(Notebook, { collaborative: "jupyter", path: "collaboration.ipynb", id: "notebook-collaboration-id", startDefaultKernel: true, height: "calc(100vh - 2.6rem)" // (Height - Toolbar Height).
            , extensions: extensions, Toolbar: NotebookToolbar }) }));
};
const div = document.createElement('div');
document.body.appendChild(div);
const root = createRoot(div);
root.render(_jsx(NotebookCollaborative, {}));
//# sourceMappingURL=NotebookCollaborative.js.map