import { jsxs as _jsxs, jsx as _jsx, Fragment as _Fragment } from "react/jsx-runtime";
/*
 * Copyright (c) 2021-2023 Datalayer, Inc.
 *
 * MIT License
 */
import { useCallback, useEffect, useMemo, useState } from 'react';
import { createRoot } from 'react-dom/client';
import { Text, ToggleSwitch } from '@primer/react';
import { CellSidebarExtension } from '../components';
import { Notebook } from '../components/notebook/Notebook';
import { Jupyter } from '../jupyter/Jupyter';
import { NotebookToolbar } from './../components/notebook/toolbar/NotebookToolbar';
import nbformat from './notebooks/NotebookExample1.ipynb.json';
const NotebookColormode = () => {
    const [colormode, setColormode] = useState('light');
    const [isOn, setIsOn] = useState(false);
    const extensions = useMemo(() => [new CellSidebarExtension()], []);
    useEffect(() => {
        if (isOn) {
            setColormode('dark');
        }
        else {
            setColormode('light');
        }
    }, [isOn]);
    const onClick = useCallback(() => {
        setIsOn(!isOn);
    }, [isOn]);
    const handleSwitchChange = useCallback((on) => {
        setIsOn(on);
    }, []);
    return (_jsx(_Fragment, { children: _jsxs(Jupyter, { startDefaultKernel: true, colormode: colormode, children: [_jsxs(Text, { fontSize: 2, fontWeight: "bold", id: "switch-label", display: "block", mb: 1, children: [colormode === 'light' ? 'Light' : 'Dark', " Mode"] }), _jsx(ToggleSwitch, { size: "small", onClick: onClick, onChange: handleSwitchChange, checked: isOn, statusLabelPosition: "end", "aria-labelledby": "switch-label" }), _jsx(Notebook, { nbformat: nbformat, id: "notebook-model-id", height: "calc(100vh - 2.6rem)" // (Height - Toolbar Height).
                    , extensions: extensions, Toolbar: NotebookToolbar })] }) }));
};
const div = document.createElement('div');
document.body.appendChild(div);
const root = createRoot(div);
root.render(_jsx(NotebookColormode, {}));
//# sourceMappingURL=NotebookColormode.js.map