import { jsx as _jsx } from "react/jsx-runtime";
import { useMemo } from 'react';
import { createRoot } from 'react-dom/client';
import { CellSidebarButton } from '../components/notebook/cell/sidebar/CellSidebarButton';
import { Notebook } from '../components/notebook/Notebook';
import { JupyterReactTheme } from '../theme/JupyterReactTheme';
import { NotebookToolbar } from './../components/notebook/toolbar/NotebookToolbar';
import { ExecTimeExtension } from './extensions';
import { CellSidebarExtension } from '../components';
import nbformat from './notebooks/NotebookExample1.ipynb.json';
const NotebookExtension = () => {
    const extensions = useMemo(() => [
        new ExecTimeExtension(),
        new CellSidebarExtension({ factory: CellSidebarButton }),
    ], []);
    return (_jsx(JupyterReactTheme, { children: _jsx(Notebook, { nbformat: nbformat, extensions: extensions, id: "notebook-extension-id", height: "calc(100vh - 2.6rem)" // (Height - Toolbar Height).
            , Toolbar: NotebookToolbar }) }));
};
const div = document.createElement('div');
document.body.appendChild(div);
const root = createRoot(div);
root.render(_jsx(NotebookExtension, {}));
//# sourceMappingURL=NotebookExtension.js.map