import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { Box } from '@primer/react';
import { useMemo } from 'react';
import { createRoot } from 'react-dom/client';
import { CellSidebarExtension } from '../components';
import { Notebook } from '../components/notebook/Notebook';
import { Jupyter } from '../jupyter/Jupyter';
import { NotebookToolbar } from './../components/notebook/toolbar/NotebookToolbar';
import nbformat from './notebooks/NotebookExample1.ipynb.json';
const NotebookLite = () => {
    const extensions = useMemo(() => [new CellSidebarExtension()], []);
    return (_jsxs(Jupyter, { lite: true, children: [_jsx(Box, { as: "h1", children: "A Jupyter Notebook with a Lite Kernel (with a Jupyter Context)" }), _jsx(Notebook, { nbformat: nbformat, id: "notebook-lite-context-id", height: "calc(100vh - 2.6rem)" // (Height - Toolbar Height).
                , extensions: extensions, Toolbar: NotebookToolbar })] }));
};
const div = document.createElement('div');
document.body.appendChild(div);
const root = createRoot(div);
root.render(_jsx(NotebookLite, {}));
//# sourceMappingURL=NotebookLiteContext.js.map