import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { Box, Label, Text } from '@primer/react';
import { useMemo, useState } from 'react';
import { createRoot } from 'react-dom/client';
import { CellSidebarExtension, KernelDetective, Notebook, NotebookToolbar, } from '../components';
import { useJupyter } from '../jupyter';
import { JupyterReactTheme } from '../theme';
import nbformat from './notebooks/NotebookExample1.ipynb.json';
const NotebookOnSessionConnection = () => {
    const { serviceManager } = useJupyter();
    const [sessions, setSessions] = useState([]);
    const extensions = useMemo(() => [new CellSidebarExtension()], []);
    const onSessionConnection = (session) => {
        console.log('Received a Kernel Session.', session?.id, session?.kernel?.clientId);
        if (session) {
            setSessions(sessions.concat(session));
        }
    };
    return (_jsxs(JupyterReactTheme, { children: [_jsx(Box, { as: "h1", children: "A Jupyter Notebook listening to Kernel Sessions" }), _jsx(KernelDetective, { serviceManager: serviceManager }), _jsx(Box, { children: _jsx(Text, { as: "h3", children: "Kernel Sessions" }) }), _jsx(Box, { children: sessions.map(session => {
                    return (_jsx(Box, { children: _jsxs(Text, { children: [_jsx(Label, { children: "Session" }), " ", session.name, " ", session.id, ' ', _jsx(Label, { children: "Kernel" }), " clientId ", session.kernel?.clientId, " - id", ' ', session.kernel?.id] }) }, session.id));
                }) }), _jsx(Notebook, { nbformat: nbformat, id: "notebook-on-kernel-connection-id", height: "calc(100vh - 2.6rem)" // (Height - Toolbar Height).
                , onSessionConnection: onSessionConnection, startDefaultKernel: true, extensions: extensions, Toolbar: NotebookToolbar })] }));
};
const div = document.createElement('div');
document.body.appendChild(div);
const root = createRoot(div);
root.render(_jsx(NotebookOnSessionConnection, {}));
//# sourceMappingURL=NotebookOnSessionConnection.js.map