import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
/*
 * Copyright (c) 2021-2023 Datalayer, Inc.
 *
 * MIT License
 */
import { Box, Button, Text } from '@primer/react';
import { useMemo, useState } from 'react';
import { createRoot } from 'react-dom/client';
import { CellSidebarExtension } from '../components';
import { Notebook } from '../components/notebook/Notebook';
import { JupyterReactTheme } from '../theme/JupyterReactTheme';
const PATH_1 = 'ipywidgets.ipynb';
const PATH_2 = 'matplotlib.ipynb';
const NotebookPathChange = () => {
    const [path, setPath] = useState(PATH_1);
    const extensions = useMemo(() => [new CellSidebarExtension()], []);
    const changePath = () => {
        path === PATH_1 ? setPath(PATH_2) : setPath(PATH_1);
    };
    return (_jsxs(JupyterReactTheme, { children: [_jsx(Box, { display: "flex", children: _jsx(Button, { variant: "default", size: "small", onClick: changePath, children: "Change Notebook Path" }) }), _jsx(Box, { mt: 2, children: _jsx(Text, { as: "span", sx: { color: 'fg.onEmphasis', bg: 'neutral.emphasis', p: 2 }, children: path }) }), _jsx(Notebook, { path: path, id: "notebook-path-change-id", height: "calc(100vh - 2.6rem)" // (Height - Toolbar Height).
                , extensions: extensions })] }));
};
const div = document.createElement('div');
document.body.appendChild(div);
const root = createRoot(div);
root.render(_jsx(NotebookPathChange, {}));
//# sourceMappingURL=NotebookPathChange.js.map