import { jsx as _jsx } from "react/jsx-runtime";
/*
 * Copyright (c) 2021-2023 Datalayer, Inc.
 *
 * MIT License
 */
import { useMemo } from 'react';
import { createRoot } from 'react-dom/client';
import { CellSidebarExtension } from '../components';
import { Notebook } from '../components/notebook/Notebook';
import { JupyterReactTheme } from '../theme/JupyterReactTheme';
import { NotebookToolbar } from './../components/notebook/toolbar/NotebookToolbar';
import nbformat from './notebooks/NotebookExample1.ipynb.json';
const NotebookReadonly = () => {
    const extensions = useMemo(() => [new CellSidebarExtension()], []);
    return (_jsx(JupyterReactTheme, { children: _jsx(Notebook, { readonly: true, serverless: true, nbformat: nbformat, extensions: extensions, id: "notebook-model-id", height: "calc(100vh - 2.6rem)" // (Height - Toolbar Height).
            , Toolbar: NotebookToolbar }) }));
};
const div = document.createElement('div');
document.body.appendChild(div);
const root = createRoot(div);
root.render(_jsx(NotebookReadonly, {}));
//# sourceMappingURL=NotebookReadonly.js.map