import { jsx as _jsx } from "react/jsx-runtime";
/*
 * Copyright (c) 2021-2023 Datalayer, Inc.
 *
 * MIT License
 */
import { ContentLoader } from '@datalayer/primer-addons';
import { createRoot } from 'react-dom/client';
import { CellSidebarExtension } from '../components';
import { CellSidebarButton } from '../components/notebook/cell/sidebar/CellSidebarButton';
import { Notebook } from '../components/notebook/Notebook';
import { Jupyter } from '../jupyter/Jupyter';
import { NotebookToolbar } from './../components/notebook/toolbar/NotebookToolbar';
const NOTEBOOK_ID = 'notebook-id';
const div = document.createElement('div');
document.body.appendChild(div);
const root = createRoot(div);
root.render(_jsx(Jupyter, { skeleton: _jsx(ContentLoader, { count: 3 }), children: _jsx(Notebook, { path: "ipywidgets.ipynb", id: NOTEBOOK_ID, height: "calc(100vh - 2.6rem)" // (Height - Toolbar Height).
        , extensions: [new CellSidebarExtension({ factory: CellSidebarButton })], Toolbar: NotebookToolbar }) }));
//# sourceMappingURL=NotebookSkeleton.js.map