import { jsx as _jsx, jsxs as _jsxs, Fragment as _Fragment } from "react/jsx-runtime";
import { Text, ToggleSwitch, theme as primerTheme } from '@primer/react';
import { useCallback, useEffect, useMemo, useState } from 'react';
import { createRoot } from 'react-dom/client';
import { CellSidebarExtension } from '../components';
import { Notebook } from '../components/notebook/Notebook';
import { jupyterLabTheme, JupyterReactTheme } from '../theme';
import { NotebookToolbar } from './../components/notebook/toolbar/NotebookToolbar';
import nbformat from './notebooks/NotebookExample1.ipynb.json';
const NotebookTheme = () => {
    const [theme, setTheme] = useState(jupyterLabTheme);
    const [isOn, setIsOn] = useState(false);
    const extensions = useMemo(() => [new CellSidebarExtension()], []);
    const onClick = useCallback(() => {
        setIsOn(!isOn);
    }, [isOn]);
    useEffect(() => {
        if (isOn) {
            setTheme(primerTheme);
        }
        else {
            setTheme(jupyterLabTheme);
        }
    }, [isOn]);
    const handleSwitchChange = useCallback((on) => {
        setIsOn(on);
    }, []);
    return (_jsx(_Fragment, { children: _jsxs(JupyterReactTheme, { theme: theme, children: [_jsx(Text, { fontSize: 2, fontWeight: "bold", id: "switch-label", display: "block", mb: 1, children: "Primer Theme" }), _jsx(ToggleSwitch, { size: "small", onClick: onClick, onChange: handleSwitchChange, checked: isOn, statusLabelPosition: "end", "aria-labelledby": "switch-label" }), _jsx(Notebook, { nbformat: nbformat, id: "notebook-model-id", height: "calc(100vh - 2.6rem)" // (Height - Toolbar Height).
                    , extensions: extensions, Toolbar: NotebookToolbar, startDefaultKernel: true })] }) }));
};
const div = document.createElement('div');
document.body.appendChild(div);
const root = createRoot(div);
root.render(_jsx(NotebookTheme, {}));
//# sourceMappingURL=NotebookTheme.js.map