import { jsx as _jsx, Fragment as _Fragment, jsxs as _jsxs } from "react/jsx-runtime";
/*
 * Copyright (c) 2021-2023 Datalayer, Inc.
 *
 * MIT License
 */
import { createRoot } from 'react-dom/client';
import { Text } from '@primer/react';
import { Jupyter } from '../jupyter';
import { Output } from '../components/output/Output';
import { cellSourceAsString } from './../utils/Utils';
import nbformat from './notebooks/NotebookOutputs.ipynb.json';
const Outputs = () => {
    return (_jsxs(_Fragment, { children: [_jsx(Text, { as: "h1", children: "Outputs" }), nbformat.cells.map((cell, index) => {
                return (_jsx(_Fragment, { children: cell.outputs && (_jsx(Output, { showEditor: true, autoRun: false, code: cellSourceAsString(cell), outputs: cell.outputs }, index)) }));
            })] }));
};
const div = document.createElement('div');
document.body.appendChild(div);
const root = createRoot(div);
root.render(_jsx(Jupyter, { startDefaultKernel: true, children: _jsx(Outputs, {}) }));
//# sourceMappingURL=Outputs.js.map