import { JupyterContextProps } from './JupyterContext';
import { Colormode } from '../theme';
/**
 * Definition of the properties that can be passed
 * when creating a Jupyter context.
 */
export type JupyterProps = Omit<JupyterContextProps, 'variant'> & {
    colormode?: Colormode;
    disableCssLoading?: boolean;
    theme?: any;
    terminals?: boolean;
};
/**
 * The Jupyter context. This handles the needed initialization
 * and ensure the Primer theme providers is available.
 */
export declare const Jupyter: {
    (props: JupyterProps): import("react/jsx-runtime").JSX.Element;
    defaultProps: {
        colormode: string;
        disableCssLoading: boolean;
        terminals: boolean;
        theme: {
            animation: {
                easeOutCubic: string;
            };
            borderWidths: (string | number)[];
            breakpoints: string[];
            fonts: {
                normal: any;
                mono: string;
            };
            fontSizes: string[];
            fontWeights: {
                light: number;
                normal: number;
                semibold: number;
                bold: number;
            };
            lineHeights: {
                condensedUltra: number;
                condensed: number;
                default: number;
            };
            radii: string[];
            sizes: {
                small: string;
                medium: string;
                large: string;
                xlarge: string;
            };
            space: string[];
        } & {
            animation: {
                easeOutCubic: string;
            };
            borderWidths: (string | number)[];
            breakpoints: string[];
            fonts: {
                normal: string;
                mono: string;
            };
            fontSizes: string[];
            fontWeights: {
                light: number;
                normal: number;
                semibold: number;
                bold: number;
            };
            lineHeights: {
                condensedUltra: number;
                condensed: number;
                default: number;
            };
            radii: string[];
            sizes: {
                small: string;
                medium: string;
                large: string;
                xlarge: string;
            };
            space: string[];
        } & {
            colorSchemes: {
                light: {};
                dark: {};
            };
        };
    };
};
export default Jupyter;
