import { JupyterProps } from './Jupyter';
/**
 * Type definition for the Jupyter Configuration.
 */
export type IJupyterConfig = {
    jupyterServerUrl: string;
    jupyterServerToken: string;
    insideJupyterLab: boolean;
    insideJupyterHub: boolean;
};
/**
 * Setter for jupyterServerUrl.
 */
export declare const setJupyterServerUrl: (jupyterServerUrl: string) => void;
/**
 * Getter for jupyterServerUrl.
 */
export declare const getJupyterServerUrl: () => string;
/**
 * Setter for jupyterServerToken.
 */
export declare const setJupyterServerToken: (jupyterServerToken: string) => void;
/**
 * Getter for jupyterServerToken.
 */
export declare const getJupyterServerToken: () => string;
/**
 * Method to load the Jupyter configuration from the host HTML page.
 */
export declare const loadJupyterConfig: (props?: Pick<JupyterProps, "collaborative" | "jupyterServerToken" | "jupyterServerUrl" | "lite" | "terminals">) => IJupyterConfig;
