import { Contents, ServerConnection } from '@jupyterlab/services';
export declare const COLLABORATION_ROOM_URL_PATH = "api/collaboration/room";
export declare const COLLABORATION_SESSION_URL_PATH = "api/collaboration/session";
/**
 * Document session model
 */
export interface ISessionModel {
    /**
     * Document format; 'text', 'base64',...
     */
    format: Contents.FileFormat;
    /**
     * Document type
     */
    type: Contents.ContentType;
    /**
     * File unique identifier
     */
    fileId: string;
    /**
     * Server session identifier
     */
    sessionId: string;
}
export declare function requestDocSession(format: string, type: string, path: string, serverSettings?: ServerConnection.ISettings): Promise<ISessionModel>;
declare const _default: {};
export default _default;
